Ask is moving to Stack Overflow and Serverfault.com! Please use the "opendaylight" tag on either of these sites. This site is now in Read-Only mode

Revision history [back]

click to hide/show revision 1
initial version

Unable to execute command on bundle 291: The bundle "org.opendaylight.dlux.example.App-bundle_1.0.0.SNAPSHOT [291]" could not be resolved. Reason: Missing Constraint: Import-Package: org.opendaylight.dlux.loader; version="[0.4.0,1.0.0)"

I have been trying to create a DLUX app using the archetype. I am following the guide available here.

I have installed the Beryllium SR4 release of ODL and have had no problems with the guide up to the deployment of the app. When I do bundle:list, it is saying that the bundle is installed (as it is in the deploy folder), but it is not active. It is when I try bundle:start exampleApp-bundle that I get the error in the question....

Any help on this would be much appreciated!!

Thanks in advance,

Kevin

Unable to execute command on bundle 291: The bundle "org.opendaylight.dlux.example.App-bundle_1.0.0.SNAPSHOT [291]" could not be resolved. Reason: Missing Constraint: Import-Package: org.opendaylight.dlux.loader; version="[0.4.0,1.0.0)"

I have been trying to create a DLUX app using the archetype. I am following the guide available here.

I have installed the Beryllium SR4 release of ODL and have had no problems with the guide up to the deployment of the app. I have put the .jar file into the deploy folder. When I do bundle:list, it is saying that the bundle is installed (as it is in the deploy folder), but it is not active. It is when I try bundle:start exampleApp-bundle that I get the error in the question....

Any help on this would be much appreciated!!

Thanks in advance,

Kevin